package pascal.table;

import pascal.OrdChar;

public class Index extends Entry implements hasAddress{
  private Type type;
  private int low, high, range;
  private int address;

  public Index(Type type, String start, String end){
    this.type=type;
    if(start.charAt(0) == '\''){
      low = OrdChar.getOrder(start);
    }else{
      low = Integer.parseInt(start);
    }
    if(end.charAt(0) == '\''){
      high = OrdChar.getOrder(end);
    }else{
      high = Integer.parseInt(end);
    }
    range = high - low +1;
  }

  //-------------------------------

  public Type getType(){
    return type;
  }

  public int getLow(){
    return low;
  }

  public int getHigh(){
    return high;
  }

  public int getRange(){
    return range;
  }

  public void setAddress(int address){  
    this.address = address;
  }

  public int getAddress(){
    return address;
  }
} 