package pascal.table;

import pascal.iterator.*;

public class Procedure extends Entry implements hasParameter{
  private ConcreteAggregate list;
  private int label;
  private int val1, val2;

  public Procedure(String name, ConcreteAggregate list){
    super(name);
    this.list = list;
    label = 0;
    val1= 0;
    val2 = 0;
  }

  public int getNumberOfParameter(){
   return list.getLength();
  }

  public Iterator getParameter(){
    return list.iterator();
  }

  public void setLabel(int label){
    this.label = label;
  }

  public int getLabel(){
    return label;
  }

  public int getVal2(){
    return val2;
  }

  public int getVal1(){
    return val1;
  }

  public void setVal1(int val1){
    this.val1 = val1;
    val2 = val1;
  }

  public void setVal2(int val2){
    this.val2 = val2;
  }
}